Bug 124214 - UPDATE PORT sysutils/rsnapshot depends on sysutils/p5-Lchown
Summary: UPDATE PORT sysutils/rsnapshot depends on sysutils/p5-Lchown
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-02 17:40 UTC by Jeffrey Goldberg
Modified: 2008-06-03 13:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (541 bytes, patch)
2008-06-02 17:40 UTC, Jeffrey Goldberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey Goldberg 2008-06-02 17:40:01 UTC
	rsnapshot fails to set proper permissions on copied symlinks unless
        the perl5 module Lchown is installed.

Fix: The following patch to sysutils/rsnapshot/Makefile lists
	sysutils/p5-Lchown in RUN_DEPENDS.  The patch also bumps PORTREVISON

	Note that p5-Lchown was recently added to the ports tree.  I submitted
	that port specifically to fix this problem with rsnapshot.

How-To-Repeat: 	Use rsnapshot to backup a source which includes soft links without
	having Lchown installed.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-02 17:40:09 UTC
Maintainer of sysutils/rsnapshot,

Please note that PR ports/124214 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124214

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-06-02 17:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 ralf.van.dooren 2008-06-02 19:50:54 UTC
Change approved.

Ralf van Dooren

On Jun 2, 2008, at 6:40 PM, Edwin Groothuis wrote:

> Maintainer of sysutils/rsnapshot,
>
> Please note that PR ports/124214 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124214
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 Martin Wilke freebsd_committer 2008-06-03 00:18:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2008-06-03 00:18:53 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 dfilter service freebsd_committer 2008-06-03 13:26:23 UTC
miwi        2008-06-03 12:26:15 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/rsnapshot   Makefile 
  Log:
  - Add missing dependency
  
  PR:             124214
  Submitted by:   Jeffrey Goldberg <jeffrey@goldmark.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.12      +3 -1      ports/sysutils/rsnapshot/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2008-06-03 13:26:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!